Bug 464120 - RFE: replace hard coded Fedora name to allow rebranding of livecds
RFE: replace hard coded Fedora name to allow rebranding of livecds
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-26 08:09 EDT by Muayyad Alsadi
Modified: 2008-10-23 16:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-29 10:36:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
read distro name from /etc/system-release (with -p1) (1.27 KB, patch)
2008-09-26 08:11 EDT, Muayyad Alsadi
no flags Details | Diff

  None (edit)
Description Muayyad Alsadi 2008-09-26 08:09:25 EDT
Description of problem:
the name of livecds are always called Fedora

this patch will set ANACONDA_PRODUCTNAME to the name from /etc/system-release
instead of the hard coded value
Comment 1 Muayyad Alsadi 2008-09-26 08:11:30 EDT
Created attachment 317785 [details]
read distro name from /etc/system-release (with -p1)
Comment 2 Jeremy Katz 2008-09-29 10:36:19 EDT
Applied ,thanks for the patch
Comment 3 Muayyad Alsadi 2008-10-23 16:22:39 EDT
this patch changes the icon to
-Icon=fedora-logo-icon
+Icon=system-software-installer

but after testing it on F10 snapshot 3 it must be
-Icon=system-software-install
+Icon=system-software-install
Comment 4 Muayyad Alsadi 2008-10-23 16:23:04 EDT
I meant
-Icon=system-software-installer
+Icon=system-software-install

Note You need to log in before you can comment on or make changes to this bug.